Bug 155565 - kernel 2.6.11 doesn't recognize initramfs (wrong cpio-format)
kernel 2.6.11 doesn't recognize initramfs (wrong cpio-format)
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-04-21 10:07 EDT by Chris Heitkamp
Modified: 2008-02-07 22:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-07 22:24:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Heitkamp 2005-04-21 10:07:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.7) Gecko/20050418 Firefox/1.0.3

Description of problem:
Linux 2.6.11 doesn't recognize an initramfs when produced with mkinitrd-4.2.8 and cpio-2.6

Version-Release number of selected component (if applicable):
cpio-2.6 kernel-2.6.11

How reproducible:

Steps to Reproduce:
1. Build a kernel-2.6.11 with initramfs support
2. Build initramfs using mkinitrd
3. Boot kernel

Actual Results:  Kernel fails to load the initramfs and claims to have no root VFS.

Expected Results:  Kernel should decrompess the initramfs and start /init on the initramfs, with mounts the real root...

Additional info:

"cpio -c" generates the odc format, but the kernel needs the newc format.

Changing "cpio --quiet -c -o"
to "cpio --quiet -H newc -o"
or "cpio --quiet --format=newc -o" fixes this problem.
Comment 1 Matthew Miller 2006-07-10 16:13:39 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 petrosyan 2008-02-07 22:24:00 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.